#include "${PrjName}AppUi.h"
#include "${PrjName}Document.h"

// Standard Symbian OS construction sequence
C${PrjName}Document *C${PrjName}Document::NewL(CEikApplication &aApp)
{
    C${PrjName}Document *self = NewLC(aApp);
    CleanupStack::Pop(self);
    return self;
}

C${PrjName}Document* C${PrjName}Document::NewLC(CEikApplication &aApp)
{
    C${PrjName}Document *self = new(ELeave) C${PrjName}Document(aApp);
    CleanupStack::PushL(self);
    self->ConstructL();
    return self;
}

void C${PrjName}Document::ConstructL()
{
	// no implementation required
}    

C${PrjName}Document::C${PrjName}Document(CEikApplication& aApp) : CAknDocument(aApp) 
{
	// no implementation required
}

C${PrjName}Document::~C${PrjName}Document()
{
	// no implementation required
}

// The framework will call this function to obtain an AppUi. This object will
// be responsible for User Interface of the application
CEikAppUi *C${PrjName}Document::CreateAppUiL()
{
    // Create the application user interface, and return a pointer to it,
    // the framework takes ownership of this object
    CEikAppUi *appUi = new(ELeave) C${PrjName}AppUi;
    return appUi;
}

